linux for ever
la liberté s’accroit lorsqu’on la partage

Categories

Accueil > linux > debian > teamwiever debian jessie 64 bit

teamwiever debian jessie 64 bit

dimanche 3 mai 2015, par alain

Après l’installation d’une version allégée de debian jessie (en 64 bit) grâce à l’excellente distribution Q4os j’ai voulu ajouter teawiever pour pouvoir dépanner facilement à distance l’utilisateur.

Cet article complète la documentation de l’éditeur pour l’installation sous les différents systèmes linux https://www.teamviewer.com/fr/help/...

Lorsqu’on est sous la version 64 bit de debian il faut

1) Ajouter la prise en charge de l’architecture 32 bit sur votre système avec la commande suivante :
sudo  dpkg --add-architecture i386 & apt-get update

2) Installer l’application gdebi qui permet de trouver les dépendances nécessaires lorsque l’on installe une application à partir d’un paquet deb car la fonction dpgk -i *.deb ne permet pas de faire ce travail)
sudo  apt-get install gdebi

3) Maintenant, comme l’indique l’éditeur de teamwivier. vous aller télécharger la version 32 bit du paquet deb (teamviewer_i386.deb ) et non pas la 64 bit

4) Pour lancer l’installation proprement dite il suffit de se placer dans le répertoire (dossier) ou vous avez téléchargé le paquet .deb de teamwiever, ouvrir un terminal (dans ce dossier) et lancer la commande :
sudo gdebi ./teamviewer*.deb

Il est tout à fait possible que l’installation vous renvoie un message d’erreur de dépendance comme celui-ci

dpkg : des problèmes de dépendances empêchent la configuration de teamviewer :
teamviewer dépend de libjpeg62.
dpkg : erreur de traitement du paquet teamviewer (—install) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l’exécution :
teamviewer

La solution consiste à relancer l’installation des dépendances manquantes avec la commande :
sudo apt-get -f install
(l’on peut également ouvrir synaptic et réparer les paquets cassés)

L’installation des dépendances s’achèvera avec votre accord :

Les paquets supplémentaires suivants seront installés :
libjpeg62-turbo:i386
Les NOUVEAUX paquets suivants seront installés :
libjpeg62-turbo:i386
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 123 ko dans les archives.
Après cette opération, 377 ko d’espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n]